Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 719414

Summary: dev-python/pygsl: need py3.7, 3.8 port
Product: Gentoo Linux Reporter: Michał Górny <mgorny>
Component: Current packagesAssignee: Gentoo Science Related Packages <sci>
Status: RESOLVED FIXED    
Severity: normal CC: treecleaner
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 695996    
Deadline: 2020-09-21   

Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-25 14:00:51 UTC
The packages are stuck on py3.6 which means they will be pain once we switch to 3.7.  Please test them on 3.7 *and* 3.8 (so we don't to revisit this in a few months), and update PYTHON_COMPAT appropriately.  If it doesn't work, please either fix it, remove Python or issue last rites.  Please consider this urgent.
Comment 1 Benda Xu gentoo-dev 2020-05-12 10:54:12 UTC
@jlec, are you still interested in this package?
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-08-16 09:32:03 UTC
Ping.
Comment 3 Larry the Git Cow gentoo-dev 2020-09-21 14:15:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54fe1df7459e52a086d1e41dc86f44f28497ef2e

commit 54fe1df7459e52a086d1e41dc86f44f28497ef2e
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-09-21 14:14:28 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-09-21 14:14:28 +0000

    dev-python/pygsl: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/719414
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/pygsl/Manifest           |  1 -
 dev-python/pygsl/metadata.xml       | 11 -----------
 dev-python/pygsl/pygsl-2.1.1.ebuild | 28 ----------------------------
 profiles/package.mask               |  1 -
 4 files changed, 41 deletions(-)
Comment 4 Larry the Git Cow gentoo-dev 2020-11-08 13:42:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c530b81a138d15a0008f49e834ae9395f1639d0e

commit c530b81a138d15a0008f49e834ae9395f1639d0e
Author:     Andrew Ammerlaan <andrewammerlaan@riseup.net>
AuthorDate: 2020-11-08 13:42:02 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan@riseup.net>
CommitDate: 2020-11-08 13:42:02 +0000

    dev-python/pygsl: Python interface for the GNU scientific library
    
    Bug: https://bugs.gentoo.org/592982
    Bug: https://bugs.gentoo.org/719414
    Package-Manager: Portage-3.0.9, Repoman-3.0.2
    Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net>

 dev-python/pygsl/Manifest           |  1 +
 dev-python/pygsl/metadata.xml       | 12 ++++++++++++
 dev-python/pygsl/pygsl-2.3.0.ebuild | 38 +++++++++++++++++++++++++++++++++++++
 3 files changed, 51 insertions(+)